Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Get an upload URL for a file field on a public form
POST
/api/v1/forms/public/{token}/file-presign
const url = 'https://api.pitch2sale.com/api/v1/forms/public/example/file-presign';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"filename":"example","mime_type":"example","size_bytes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/forms/public/example/file-presign \ --header 'Content-Type: application/json' \ --data '{ "filename": "example", "mime_type": "example", "size_bytes": 1 }'Unauthenticated; returns a presigned S3 PUT URL to upload into before submitting.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
filename
required
string
mime_type
required
string
size_bytes
required
integer
Examplegenerated
{ "filename": "example", "mime_type": "example", "size_bytes": 1}Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}